#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k;
    cin>>n>>k;
    int a[n], br=0;
    int b[2*n+1] = {0};
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        b[a[i]+n]++;
    }
    for(int j=0; j<2*n+1; j++)
    {
        if(b[j] >= k)
        {
            br ++;
        }
    }
    cout<<br<<endl;
    for(int j=0; j<2*n+1; j++)
    {
        if(b[j] >= k)
        {
            cout<<j-n<<" ";
        }
    }

    return 0;
}